/******************************************************************************
;  *       @ͺ                 : MC51F003A4
;  *       @             : 2022.12.19
;  *       @˾/            : SINOMCU.COM-AE
;  *       @΢           : http://www.sinomcu.com/
;  *       @Ȩ                 : 2022 ΢ Ȩ.
;  *----------------------ժҪ---------------------------------
;  *    ϵͳʱӼTIMER0ʱ;LINͨŲʼӻIDϢ.
******************************************************************************/

// <<< Use Configuration Wizard in Context Menu >>>
#ifndef __USER_CONFIG_H
#define __USER_CONFIG_H

#define FSYS_CLOCK      8000000
#define TIM_TICK_1MS    1000

// <o> LIN Baud Rate
// <i> select LIN baud rate
// <0=>    2400
// <1=>    4800
// <2=>    9600
#define UART_BAUD_RATE  2        

#if (UART_BAUD_RATE == 2) 
#define LIN_BAUD_RATE   9600 
#elif (UART_BAUD_RATE == 1) 
#define LIN_BAUD_RATE   4800  
#else
#define LIN_BAUD_RATE   2400 
#endif

#define LIN_RECV_ANSWER_FID       0x30      /*slave all,receive answer data fram id */ 

// <o> LIN slave sand answer ID
// <i> select slave send answer data id
// <1=>    0x31
// <2=>    0x32
#define LIN_SLAVE_ID  1        

#if (LIN_SLAVE_ID == 2) 
#define LIN_SEND_ANSWER_FID       0x32
#else
#define LIN_SEND_ANSWER_FID       0x31
#endif

// <c1> Printf to USART
// <i> Retargets printf to USART
#define EN_PRINT_UART        1         // 1:Retargets printf to USART,0 or not define:printf null out
// </c>

//#define PRINTF_UART0         1         // 1:Retargets printf to UART0,0 or not define:Retargets printf to UART1

#endif /* __USER_CONFIG_H */
// <<< end of configuration section >>>
/******************************** END OF FILE *********************************/
